pub use sea_orm_migration::prelude::*;

mod m20241008_091626_create_table_user;
mod m20241008_095058_create_table_node;
mod m20241013_134422_create_table_sensor_data;

pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20241008_091626_create_table_user::Migration),
            Box::new(m20241008_095058_create_table_node::Migration),
            Box::new(m20241013_134422_create_table_sensor_data::Migration),
        ]
    }
}
